#include "lib.h"
enum {
	__MLInitID,
	DebugModeID,
	SetMaxCodeSizeID,
	SetMaxGlobalsID,
	SetMaxFunctionsID,
	SetMaxStacksID,
	ParseInitID,
	ParseExitID,
	ParseSentenseAllID,
	ReportCodeSizeID,
	ReportIdentID,
	ExecInitID,
	ExecExitID,
	ExecSentenseAllID,
	StringToObjectID,
	NewConstID,
	NewClassID,
	ClassNameID,
	FunctionNameID,
	NewFunctionID,
	NewOperatorID,
	CallFunctionID,
	CallFunctionParentID,
	ParseErrorID,
	ParseFatalID,
	ExecErrorID,
	ArgCheckID,
	StackTopID,
	StackPopID,
	StackPushID,
	StackPushBooleanID,
	StackPushIntID,
	StackPushRealID,
	StackAllocID,
	StackReleaseID,
	StackMaxUsedID,
	DataPrintID,
	DataToStringID,
	ObjectAllocID,
	ObjectFreeID,
	ObjectCheckID,
	ObjectDupID,
	ObjectCopyID,
};
void	*___MLInit ;
void	*_DebugMode ;
void	*_SetMaxCodeSize ;
void	*_SetMaxGlobals ;
void	*_SetMaxFunctions ;
void	*_SetMaxStacks ;
void	*_ParseInit ;
void	*_ParseExit ;
void	*_ParseSentenseAll ;
void	*_ReportCodeSize ;
void	*_ReportIdent ;
void	*_ExecInit ;
void	*_ExecExit ;
void	*_ExecSentenseAll ;
void	*_StringToObject ;
void	*_NewConst ;
void	*_NewClass ;
void	*_ClassName ;
void	*_FunctionName ;
void	*_NewFunction ;
void	*_NewOperator ;
void	*_CallFunction ;
void	*_CallFunctionParent ;
void	*_ParseError ;
void	*_ParseFatal ;
void	*_ExecError ;
void	*_ArgCheck ;
void	*_StackTop ;
void	*_StackPop ;
void	*_StackPush ;
void	*_StackPushBoolean ;
void	*_StackPushInt ;
void	*_StackPushReal ;
void	*_StackAlloc ;
void	*_StackRelease ;
void	*_StackMaxUsed ;
void	*_DataPrint ;
void	*_DataToString ;
void	*_ObjectAlloc ;
void	*_ObjectFree ;
void	*_ObjectCheck ;
void	*_ObjectDup ;
void	*_ObjectCopy ;
extern	void	*SearchFunction( Function*, char* );

void	_MLInit( func )
Function	*func ;
{
	___MLInit = SearchFunction( func, "__MLInit" );
	_DebugMode = SearchFunction( func, "DebugMode" );
	_SetMaxCodeSize = SearchFunction( func, "SetMaxCodeSize" );
	_SetMaxGlobals = SearchFunction( func, "SetMaxGlobals" );
	_SetMaxFunctions = SearchFunction( func, "SetMaxFunctions" );
	_SetMaxStacks = SearchFunction( func, "SetMaxStacks" );
	_ParseInit = SearchFunction( func, "ParseInit" );
	_ParseExit = SearchFunction( func, "ParseExit" );
	_ParseSentenseAll = SearchFunction( func, "ParseSentenseAll" );
	_ReportCodeSize = SearchFunction( func, "ReportCodeSize" );
	_ReportIdent = SearchFunction( func, "ReportIdent" );
	_ExecInit = SearchFunction( func, "ExecInit" );
	_ExecExit = SearchFunction( func, "ExecExit" );
	_ExecSentenseAll = SearchFunction( func, "ExecSentenseAll" );
	_StringToObject = SearchFunction( func, "StringToObject" );
	_NewConst = SearchFunction( func, "NewConst" );
	_NewClass = SearchFunction( func, "NewClass" );
	_ClassName = SearchFunction( func, "ClassName" );
	_FunctionName = SearchFunction( func, "FunctionName" );
	_NewFunction = SearchFunction( func, "NewFunction" );
	_NewOperator = SearchFunction( func, "NewOperator" );
	_CallFunction = SearchFunction( func, "CallFunction" );
	_CallFunctionParent = SearchFunction( func, "CallFunctionParent" );
	_ParseError = SearchFunction( func, "ParseError" );
	_ParseFatal = SearchFunction( func, "ParseFatal" );
	_ExecError = SearchFunction( func, "ExecError" );
	_ArgCheck = SearchFunction( func, "ArgCheck" );
	_StackTop = SearchFunction( func, "StackTop" );
	_StackPop = SearchFunction( func, "StackPop" );
	_StackPush = SearchFunction( func, "StackPush" );
	_StackPushBoolean = SearchFunction( func, "StackPushBoolean" );
	_StackPushInt = SearchFunction( func, "StackPushInt" );
	_StackPushReal = SearchFunction( func, "StackPushReal" );
	_StackAlloc = SearchFunction( func, "StackAlloc" );
	_StackRelease = SearchFunction( func, "StackRelease" );
	_StackMaxUsed = SearchFunction( func, "StackMaxUsed" );
	_DataPrint = SearchFunction( func, "DataPrint" );
	_DataToString = SearchFunction( func, "DataToString" );
	_ObjectAlloc = SearchFunction( func, "ObjectAlloc" );
	_ObjectFree = SearchFunction( func, "ObjectFree" );
	_ObjectCheck = SearchFunction( func, "ObjectCheck" );
	_ObjectDup = SearchFunction( func, "ObjectDup" );
	_ObjectCopy = SearchFunction( func, "ObjectCopy" );
}
